Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface InfomlFileType

All Known Subinterfaces:
  InfomlFile

All Known Implementing Classes:
  InfomlFileImpl, InfomlFileTypeImpl

    public interface InfomlFileType

Java content class for anonymous complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 86)

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="infoml" type="{http://infoml.org/infomlFile}infomlType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="title" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getInfoml()` Gets the value of the Infoml property.
`java.lang.String` | `getTitle()` Gets the value of the title property.
`void` | `setTitle(java.lang.String value)` Sets the value of the title property.

Method Detail

### getInfoml

    java.util.List getInfoml()

  Gets the value of the Infoml property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Infoml property.

  For example, to add a new item, do as follows:

          getInfoml().add(newItem);

  Objects of the following type(s) are allowed in the list `InfomlType`

### getTitle

    java.lang.String getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `String`

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD